import org.junit.jupiter.api.*;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.CsvFileSource;



public class EmployeeTest {

    @ParameterizedTest
    @CsvFileSource(resources="/employee.csv", numLinesToSkip = 1)
    public void parameterizedCsvFileTest(String fName, String lName, int age, String dob,
                                         String addressLine1, String city, String state, String postalCode){

        System.out.println("fname:" +fName+",lName:" +lName+",age:"+age+
                ",DOB:" +dob+ ",addressLine1:"+addressLine1+
                ",City:"+city+",state:"+state+",postalCode:" +postalCode);

      Assertions.assertAll(
                () -> Assertions.assertTrue(age > 4, "age is less than 4"),
                () -> Assertions.assertNotNull(fName != null && lName != null, "FirstName, lastname " +
                        "should not be null"),
                () -> Assertions.assertEquals("94538", postalCode)
        );

        Assumptions.assumingThat(city.equals("Fremont"),
                ()->Assertions.assertTrue(state.equals("CA"), "State is NT CA"));

    }
}

